Subject: Re: bug#15577: 24.3; dir-local variables not applied when switching major-mode

From: Stefan Monnier <[email-masked]>
Date: Mon, 21 Oct 2013 09:11:00 -0400

> I've been experimenting with this today (along the lines of
> http://lists.gnu.org/archive/html/bug-gnu-emacs/2013-10/msg00534.html )
> and one of the things I noticed which I'd not previously considered
> was the major mode switches which happen every time you enter the
> minibuffer.

I don't see why that would be a problem: only the *Minibuf-N* buffer
changes major mode (and not even that, really, because mini-buffers
don't follow the rules w.r.t major modes).

        Stefan